clear all;
clc;
close all;
%
% Animatie Pythagoras
%
n = 1000;
t = linspace(0,2*pi,n+1);
x = cos(t);
y = sin(t);
xp = [-1 1];
yp = [0  0];

m = round(n/10);
F(1:m) = struct('cdata',[],'colormap',[]);
filename = 'pythagoras.gif';
for j = 1:m
    plot(x,y,'k','LineWidth',2);
    hold on
    xp_f = [xp,x(j*10),xp(1)];
    yp_f = [yp,y(j*10),yp(1)];
    plot(xp_f,yp_f,'k','LineWidth',1);
    fill(xp_f,yp_f,'g');
    text('position',[(xp_f(1)+xp_f(2))/2 (yp_f(1)+yp_f(2))/2-0.05], ...
           'fontsize',14, 'interpreter','latex', 'string','$$c$$');
    text('position',[(xp_f(2)+xp_f(3))/2 (yp_f(2)+yp_f(3))/2-0.05], ...
           'fontsize',14, 'interpreter','latex', 'string','$$b$$');  
    text('position',[(xp_f(3)+xp_f(4))/2 (yp_f(3)+yp_f(4))/2-0.05], ...
           'fontsize',14, 'interpreter','latex', 'string','$$a$$'); 
    text('position',[-0.75 0.5], ...
           'fontsize',14, 'interpreter','latex', 'string','\textbf{De stelling van Pythagoras}');
    text('position',[-0.3 0.3], ...
           'fontsize',14, 'interpreter','latex', 'string','$$a^2\,+\,b^2\,=\,c^2$$');  
    axis('equal');
    axis('off');
    hold off;
    F(j) = getframe(gcf);
    
    im = frame2im(F(j));
    [imind,cmap] = rgb2ind(im,256);
    if j == 1
        imwrite(imind,cmap,filename,'gif','Loopcount',inf);
    else
        imwrite(imind,cmap,filename,'gif','WriteMode','append','DelayTime',0.001);
    end;
end;
movie(F,2);